Subject: What is Data.Vec.DataFamily.SpineStrict.Pigeonhole and why is it following me?
From: Galaxy Being <[email-masked]>
To: haskell-cafe <[email-masked]>
Date: Sun, 28 Nov 2021 22:05:44 -0600

This
<https://hackage.haskell.org/package/vec-0.4/docs/Data-Vec-DataFamily-SpineStrict-Pigeonhole.html>
in Hackage is something a rank amateur like me can't fathom. I just hit a
chapter in a book that dives into the Pigeonhole Principle. Is this the
"accompanying Haskell Wundercode" for the math world's PHP? I know PHP is a
big deal in math. I don't see an "author," and I see no documentation.
Anyone know how I can figure this mystery out, like at least find the
author or someone that knows something about this?

-- 
⨽
Lawrence Bottorff
Grand Marais, MN, USA
[email-masked]